__gnu_cxx::_Std_pointer_impl< _Tp > Class Template Reference

## Public Types

typedef _Tp | element_type

## Public Member Functions

_Tp * | get () const
bool | operator< (const _Std_pointer_impl &__rarg) const
bool | operator== (const _Std_pointer_impl &__rarg) const
void | set (element_type *__arg)

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::_Std_pointer_impl< _Tp >

A storage policy for use with _Pointer_adapter<> which yields a standard pointer.

A _Storage_policy is required to provide 4 things: 1) A get() API for returning the stored pointer value. 2) An set() API for storing a pointer value. 3) An element_type typedef to define the type this points to. 4) An operator<() to support pointer comparison. 5) An operator==() to support pointer comparison.

Definition at line 66 of file pointer.h.

The documentation for this class was generated from the following file:

- pointer.h